/**
 * @overview Apeman app configuration file.
 * @see {@link http://www.npmjs.org/package/apeman | apeman}
 *
 */

function safeRequire(moduleId) {
    try {
        return require(moduleId);
    } catch (e) {
        console.warn(e);
        return null;
    }
}

/** @namespace Apemanfile **/
module.exports = {
    prototype: '{{prototypeName}}',
    get basedir() {
        return __dirname
    },
    get meta() {
        return safeRequire('./ci/config/meta-config');
    },
    get tasks() {
        return safeRequire('./ci/tasks');
    }
};